<?php

require("../../../init.php");

use WHMCS\Module\Server\VirtFusionDirect\Module;

$vf = new Module();

$vf->isAuthenticated();

switch ($vf->validateAction(true)) {

    /**
     * Login as server owner.
     */
    case 'loginAsServerOwner':

        if ($vf->validateServiceID(true)) {
            /**
             * A client can't log in as any user. Ownership should be validated.
             */

            if (!$vf->validateUserOwnsService($_GET['serviceID'])) {
                $vf->output(['success' => false, 'errors' => 'service <> owner mismatch'], true, true, 200);
            }

            $token = $vf->fetchLoginTokens($_GET['serviceID']);

            if ($token) {

                /**
                 * A valid token/url was received.
                 */
                $vf->output(['success' => true, 'token_url' => $token], true, true, 200);
            }

            /**
             * Failed to get the token from the control panel or the service ID doesn't exist.
             */
            $vf->output(['success' => false, 'errors' => 'token request error'], true, true, 200);
        }
        break;

    default:
        /**
         * No valid action was specified.
         */
        $vf->output(['success' => false, 'errors' => 'invalid action'], true, true, 200);
}


